Package org.apache.catalina.mapper

## Class Mapper.MapElement<T>

- java.lang.Object
- - org.apache.catalina.mapper.Mapper.MapElement<T>

Direct Known Subclasses:
  `Mapper.ContextVersion`, `Mapper.MappedContext`, `Mapper.MappedHost`, `Mapper.MappedWrapper`

Enclosing class:
  Mapper

    protected abstract static class Mapper.MapElement<T>
    extends Object

### Field Summary

Fields
`String` `name`
`T` `object`

### Constructor Summary

Constructors
`MapElement​(String name, T object)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public final String name

#### object

    public final T object

### Constructor Detail

#### MapElement

    public MapElement​(String name,
                      T object)